# /etc: Included files

Three files are updated in the */etc* folder.

## BASH default profile (profile)

This is the Debian Stretch default *profile* and is copied to */etc/profile* to
return accounts to a baseline configuration.  Again, this is done to ensure that
only */etc/bash.bashrc* is providing initial customizations to users.

## Default BASH settings (bash.bashrc)

Of the bash customization files, this is the only one that is NOT in a default
configuration. I have added the following customizations I find useful
especially for new users and system admins:

- colourized directory listings with built-in automatic colour settings
- changed prompt to include 24-hour clock, username, hostname and current
  directory display
  - username changes to RED when working as ROOT (uid=0)
- added the following command aliases

  alias|full command|explanation
  ---|---|---
  ll|ls -l|default 'ls' output
  l|ls -lAsh --group-directories-first|far more useful and robust file display including sizes, permissions and owners
  rm|rm -i|confirmation prompt when deleting file
  mv|mv -i|confirmation prompt when moving file would result in overwriting existing file
  cp|cp -i|confirmation prompt when copying file would result in overwriting existing file

## nano defaults (nanorc)

The following options have been enabled/set in nano to provide what I feel is an
easier editing experience especially for people coming from a Windows background
and new users/admins.

- 'rebind' numeric keypad to fix problems using keypad with some SSH clients
- set 'smart home' so home key is useful
- allow opening multiple files at once
- always display line numbers
- constantly display cursor position at the bottom of the screen
- set vim lock-files
- autoindent ON
- tab-size of 4 spaces
- convert tabs to spaces
- turn off hard line wrapping
- turn ON soft line wrapping for ease of readability
- closing 'brackets' (for alignment purposes) set as: "')>]}
- cut to end of line by default
- set proper bracket matching (ie. "<" matches ">", etc.)
- turned on default colours so nano doesn't look so drab
- added the following key-bindings

binding|function
---|---
ctrl-s/ctrl-S|save current file
alt-c/alt-C|copy selected text
alt-x/alt-X|cut selected text
alt-v/alt-V|paste text on clipboard
