# /etc/systemd: Included files

## Time synchronization settings (timesyncd.conf)

This file configures the *systemd-timesyncd.service* and allows for a very
simple NTP-sync setup.  Edit the **NTP=** line with a space-delimited list of
your desired timeservers.  In the event those timeservers are not available, you
can configure backup servers by listing them on the **FallbackNTP=** line, again
space delimited.

I've set the defaults in this file to be the worldwide NTP.org servers.  This
should work for pretty much anyone that uses this file, but you *really should*
customize the list to use geographically closer timeservers (check out the list
[here](https://www.ntppool.org/zone/@)) or the timeserver on your LAN, etc.

When you're done editing this file, make sure you restart the *timesyncd
service* and check it's status to verify it is now using one of your defined NTP
servers.

```bash
systemctl restart systemd-timesyncd.service && systemctl status systemd-timesyncd.service
```

Finally, you can confirm things are working properly by running timedatectl.

```bash
timedatectl
```

You should see the correct time listed and *NTP synchronized: yes*.